Bug 758570 - Merge Assamese and Bengali fonts to single font
Summary: Merge Assamese and Bengali fonts to single font
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-assamese-fonts
Version: rawhide
Hardware: Unspecified
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-30 05:49 UTC by Santhosh Thottingal
Modified: 2011-12-21 05:16 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-21 05:16:59 UTC


Attachments (Terms of Use)

Description Santhosh Thottingal 2011-11-30 05:49:13 UTC
Description of problem:
Assamese and Bengali use same script Bengali.  Please merge Lohit-Assamese and Lohit-Bengali to a single font.

Comment 1 Pravin Satpute 2011-11-30 08:47:36 UTC
Yes, we can definitely merge these two fonts. Both has almost same shapes and gsub/gpos tools.

But if it required to add some rules using locl feature, then we need to extend this for may be a year. Since locl feature is not working in all rendering engine.

We are doing this for Lohit Devanagari, its working fine with pango but not working with other qt and icu.

Hi Nilamdyuti,

  Can you use Lohit Bengali font instead of Lohit Assamese and let us know what are the changes required in Lohit Bengali to properly support Assamese langauge.

Comment 2 Pravin Satpute 2011-12-12 06:29:25 UTC
I can see now on http://www.unicode.org/charts/ that Bengali code chart is under name of "Bengali and Assamese"

I am looking what community prefers

Comment 3 Nilamdyuti 2011-12-12 06:56:32 UTC
I am looking for that too. I have raised the issue to the community members. Let's see what they prefer.

Comment 4 Nilamdyuti 2011-12-15 14:56:02 UTC
The community members prefer the fonts to be kept separate. Majority of them have used or are using Lohit-Assamese and are happy with it.

Comment 5 Jens Petersen 2011-12-16 01:41:30 UTC
Should we ask the Bengali community to test Lohit Assamese?

http://en.wikipedia.org/wiki/Assamese_alphabet#Three_distinct_variations_of_Assamese_script_from_the_Bengali

If we do merge the fonts what should it be called?

Comment 6 Nilamdyuti 2011-12-16 06:46:21 UTC
Yes, you may do that. 

Majority of Assamese community members are web users and they found Lohit-Assamese to be by far the best font in all perspectives. So, they are not really in favour of a merged font since both of them are working well separately. 

But in case if you merge the fonts, what should it be called will entirely depend upon any naming standards that you follow for fonts if you have any.

Comment 7 Pravin Satpute 2011-12-19 06:28:03 UTC
Hi Nilamdyuti,

  Yes, will not merge in Fedora if community do not want it.
  But can you confirm once, is Lohit Bengali works for Assamese language?

Comment 8 Pravin Satpute 2011-12-19 06:35:37 UTC
(In reply to comment #0)
> Description of problem:
> Assamese and Bengali use same script Bengali.  Please merge Lohit-Assamese and
> Lohit-Bengali to a single font.

Hi Santhosh,

  As per comment from Nilamdyuti, we should not merge these fonts.
  other reasons are:
  1) Lang tag not supported in all locales.
  2) Most of the times language users used to be in en_US locale, in that case they cant get there language specific shapes.

  When we merged Lohit Devanagari, all forked Devanagari i.e. Marathi, Hindi, Nepali, sindhi, Kashmiri, Konkani were identical.

  But now we have found few language specific difference.

  So from next release, i will release Lohti Devanagari together supporting all language and Language specific font as well. Marathi. Nepali
  
  Lets end user decide what they want to :)

Comment 9 Nilamdyuti 2011-12-19 06:46:43 UTC
Hi Pravin,

Ok, I will check and let you know.

Comment 10 Nilamdyuti 2011-12-19 07:53:45 UTC
Hi Pravin,

Yes, Lohit Bengali works for Assamese language too.

Comment 11 Pravin Satpute 2011-12-21 05:16:59 UTC
Thanks Nilamdyuti for confirmation, i thought so :)
closing 
please reopen if any problem


Note You need to log in before you can comment on or make changes to this bug.